Bug 5663 - Show control number without organization code in staff URLs
Summary: Show control number without organization code in staff URLs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Marcel de Rooy
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5622
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-27 14:07 UTC by Marcel de Rooy
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (3.89 KB, patch)
2011-07-14 10:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Patch (3.97 KB, patch)
2011-07-18 06:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] 5663: Show control number without organization code in staff URLs (4.04 KB, patch)
2011-08-11 15:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2011-01-27 14:07:56 UTC
desc foloows
Comment 1 Marcel de Rooy 2011-01-27 14:10:18 UTC
According to LOC guidelines, the control number in $w may be prefixed by an
organization code between parentheses like (NL-AmRIJ)12345. The URL should only
list the record number 12345. (Currently, the complete field is copied into the URL and therefore it is not working.) 

Revised patch 5622 corrected this for the host entry (773) in staff client and included generic XSLT code to resolve the problem. 

This followup patch will build upon the generic code in the Utils.xsl and include calls to that routine for other fields at the staff side. 

See bug 5662 for OPAC side.
Comment 2 Marcel de Rooy 2011-07-14 10:04:45 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2011-07-14 10:06:54 UTC
TEST PLAN:

Enable the pref UseControlNumber when testing this patch. And set pref XSLTDetailsDisplay to using XSLT stylesheets.
Test by adding a control number ($w) in abovementioned fields.
Go to staff detail and check if the links work.
Add some orgcode between parentheses or brackets in front of the control number.
Test again in staff detail if the links still work.
Comment 4 Katrin Fischer 2011-07-17 19:16:15 UTC
Hi Marcel,
wondered why it didn't work - now I see this is also the file for OPAC not for intranet. Can you attach the right patch please?
Comment 5 Marcel de Rooy 2011-07-18 06:27:27 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2011-08-11 15:02:25 UTC
Created attachment 4965 [details] [review]
[SIGNED-OFF] 5663: Show control number without organization code in staff URLs

Intranet detail xsl adjusted at 4 places: 773 when leader19=c, 775, 780, 785.

Enable the pref UseControlNumber when testing this patch. And set pref XSLTDetailsDisplay to using XSLT stylesheets.
Test by adding a control number ($w) in abovementioned fields.
Go to staff detail and check if the links work.
Add some orgcode between parentheses or brackets in front of the control number.
Test again in staff detail if the links still work.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 7 Marcel de Rooy 2011-08-12 10:34:35 UTC
(In reply to comment #6)
> Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Thanks for signing this patch too!
Comment 8 Ian Walls 2011-08-12 19:47:58 UTC
XSL only change, from <xsl:value-of> to <xsl:call-template> with <xsl:with-param> values.  Uses existing and known MARC21slimUtils template.  Marking as Passed QA.
Comment 9 Chris Cormack 2011-08-13 08:03:35 UTC
Pushed, please test
Comment 10 Marcel de Rooy 2011-10-03 07:29:24 UTC
Closing it myself; runs in production with us for months.